StarTableInternal::TableLine Struct Reference

small structure used to store a table line More...

## Public Member Functions

| TableLine ()
| constructor
bool | read (Table &table, StarZone &zone, StarObjectText &object, STOFFBox2i &cPos)
| try to read the data
void | updatePosition (Table &table, StarState const &state, float xOrigin, STOFFVec2i const &RBpos=STOFFVec2i(-1,-1))
| update the position to correspond to cover the m_position[0],right/bottom

## Public Attributes

STOFFBox2i | m_position
| the position
int | m_formatId
| the format
int | m_numBoxes
| the number of boxes
std::vector< std::shared_ptr< TableBox > > | m_boxList
| a list of box
std::shared_ptr< StarFormatManagerInternal::FormatDef > | m_format
| the format

## Detailed Description

small structure used to store a table line

## Constructor & Destructor Documentation

## TableLine()

StarTableInternal::TableLine::TableLine | ( |  | ) |

inline

constructor

## Member Function Documentation

## read()

bool StarTableInternal::TableLine::read | ( | Table & | table,
|  | StarZone & | zone,
|  | StarObjectText & | object,
|  | STOFFBox2i & | cPos )

try to read the data

## updatePosition()

void StarTableInternal::TableLine::updatePosition | ( | Table & | table,
|  | StarState const & | state,
|  | float | xOrigin,
|  | STOFFVec2i const & | RBpos = STOFFVec2i(-1,-1) )

update the position to correspond to cover the m_position[0],right/bottom

## Member Data Documentation

## m_boxList

std::vector<std::shared_ptr<TableBox> > StarTableInternal::TableLine::m_boxList

a list of box

Referenced by read(), TableLine(), and updatePosition().

## m_format

std::shared_ptr<StarFormatManagerInternal::FormatDef> StarTableInternal::TableLine::m_format

the format

Referenced by read(), TableLine(), and updatePosition().

## m_formatId

int StarTableInternal::TableLine::m_formatId

the format

Referenced by read(), TableLine(), and updatePosition().

## m_numBoxes

int StarTableInternal::TableLine::m_numBoxes

the number of boxes

Referenced by read(), and TableLine().

## m_position

STOFFBox2i StarTableInternal::TableLine::m_position

the position

Referenced by read(), TableLine(), and updatePosition().

The documentation for this struct was generated from the following file:

- StarTable.cxx